Bug 267996 - Expert CSV not unique identifier
Summary: Expert CSV not unique identifier
Status: RESOLVED FIXED
Alias: None
Product: skrooge
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Stephane MANKOWSKI
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-08 20:01 UTC by Guillaume Stamm
Modified: 2011-03-09 21:26 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Guillaume Stamm 2011-03-08 20:01:52 UTC
Version:           unspecified (using KDE 4.5.1) 
OS:                Linux

Hi Stephane, Guillaume

When I'm using the export to csv function, the split operations have the same ID.

If I'm exorting to xml I get this result:

  <row t_comment="110210006879" r_refund_id="60" rd_operation_id="2946" i_tmp="0" f_value="7.8" id="3098" r_category_id="209"/>
  <row t_comment=""             r_refund_id="61" rd_operation_id="2946" i_tmp="0" f_value="7.8" id="3099" r_category_id="209"/>
  <row t_comment=""             r_refund_id="59" rd_operation_id="2946" i_tmp="0" f_value="7.8" id="3100" r_category_id="209"/>

in the csv file I've got 3 lines with the same ID "2946" (column idtransaction), 
I would prefer to have 3 lines with ID 3098, 3099, 3100 (or add a column to the export)

Skrooge version used 0.8.0

Thanks a lot.
Guillaume

Reproducible: Always

Steps to Reproduce:
export to csv a split operation
Comment 1 Stephane MANKOWSKI 2011-03-09 21:26:55 UTC
Git commit 12c1e8e94435c2294cc46d72c1624801a5eceb14 by Stephane Mankowski.
Committed on 09/03/2011 at 21:25.
Pushed by smankowski into branch 'master'.

BUG: 267996: Export CSV not unique identifier

I  +2    -0    gitignore     
M  +1    -0    CHANGELOG     
M  +1    -1    skgbankmodeler/skgimportexportmanager.cpp     
M  +18   -0    skgbankmodelertest/skgtestimportqif.cpp     
A  +20   -0    tests/input/skgtestimportqif/267996.qif         [License: UNKNOWN]  *
A  +4    -0    tests/ref/skgtestimportqif/267996.csv         [License: UNKNOWN]  *
M  +1    -0    tests/scripts/skgtestimportqif.sh     

The files marked with a * at the end have a non valid license. Please read: http://techbase.kde.org/Policies/Licensing_Policy and use the headers which are listed at that page.


http://commits.kde.org/skrooge/12c1e8e94435c2294cc46d72c1624801a5eceb14